- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MAnimCurveClipboardItem Class Reference

# OpenMayaAnim - API module for animation

Search for all occurrences

## Detailed Description

Wrapper for a clipboard item.

This class provides a wrapper for a clipboard item. Common convenience functions are available, and the implementation is compatible with the internal Maya implementation so that it can be passed efficiently between plugins and internal maya data structures.

Examples:

  animFileUtils.cpp, animFileUtils.h, and animImportExport.h.

`#include <MAnimCurveClipboardItem.h>`

List of all members.

## Public Member Functions
| MAnimCurveClipboardItem ()
| Default Constructor.
| MAnimCurveClipboardItem (const MAnimCurveClipboardItem &r)
| Copy Constructor.
| ~MAnimCurveClipboardItem ()
| Class Destructor.
const MObject | animCurve (MStatus *ReturnStatus=NULL) const
| Returns the animCurve held by this clipboard item as an MObject.
MStatus | getAddressingInfo (unsigned int &rowCount, unsigned int &childCount, unsigned int &attributeCount) const
| Returns the addressing information for this clipboard item,.
const MString & | fullAttributeName (MStatus *ReturnStatus=NULL) const
| Returns the attribute's full name.
const MString & | leafAttributeName (MStatus *ReturnStatus=NULL) const
| Returns the attribute's leaf name.
const MString & | nodeName (MStatus *ReturnStatus=NULL) const
| Returns the node name.
MFnAnimCurve::AnimCurveType | animCurveType (MStatus *ReturnStatus=NULL) const
| Returns the animCurve type.
MStatus | setAnimCurve (const MObject &curve)
| Sets the clipboard item's animCurve.
MStatus | setAddressingInfo (unsigned int rowCount, unsigned int childCount, unsigned int attributeCount)
| Sets the clipboard item's addressing info.
MStatus | setNameInfo (const MString &nodeName, const MString &fullName, const MString &leafName)
| Sets the clipboard item's name info.
MAnimCurveClipboardItem & | operator= (const MAnimCurveClipboardItem &from)
| Operator= overloading.
bool | operator== (const MAnimCurveClipboardItem &rhs) const
| Compare the individual members for equality.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Constructor & Destructor Documentation

MAnimCurveClipboardItem | ( | const MAnimCurveClipboardItem & | r | ) |

Copy Constructor.

Parameters:

  [in] | r | MAnimCurveClipboardItem to copy from.

## Member Function Documentation

const MObject animCurve | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the animCurve held by this clipboard item as an MObject.

Note that the returned MObject is const because you must not modify the animCurve referenced by this MObject.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  An MObject for the animCurve. On failure, the MObject will be NULL. Be aware that the clipboard may be holding onto NULL animCurves (which are placeholder objects).

Status Codes:
  - MS::kSuccess the animCurve was returned successfully
  - MS::kFailure the animCurve was not returned successfully

Examples:
  animFileUtils.cpp.

MStatus getAddressingInfo | ( | unsigned int & | rowCount,
|  | unsigned int & | childCount,
|  | unsigned int & | attributeCount
| ) |  | const

Search for all occurrences

Returns the addressing information for this clipboard item,.

Parameters:

  [out] | rowCount | The clipboard item's row count
  [out] | childCount | The clipboard item's child count
  [out] | attributeCount | The clipboard item's attribute count

Returns:
  - MS::kSuccess the addressing info was returned successfully
  - MS::kFailure the addressing info was not returned successfully

Examples:
  animFileUtils.cpp.

const MString & fullAttributeName | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the attribute's full name.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The attribute's full name

Status Codes:
  - MS::kSuccess the full name was returned successfully
  - MS::kFailure the full name was not returned successfully

Examples:
  animFileUtils.cpp.

const MString & leafAttributeName | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the attribute's leaf name.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The attribute's leaf name.

Status Codes:
  - MS::kSuccess the leaf name was returned successfully
  - MS::kFailure the leaf name was not returned successfully

Examples:
  animFileUtils.cpp.

const MString & nodeName | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the node name.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The node name.

Status Codes:
  - MS::kSuccess the node name was returned successfully
  - MS::kFailure the node name was not returned successfully

Examples:
  animFileUtils.cpp.

MFnAnimCurve::AnimCurveType animCurveType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the animCurve type.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The animCurve type.

Status Codes:
  - MS::kSuccess the animCurve type was returned successfully
  - MS::kFailure the animCurve type was not returned successfully

Examples:
  animFileUtils.cpp.

MStatus setAnimCurve | ( | const MObject & | curve | ) |

Search for all occurrences

Sets the clipboard item's animCurve.

Parameters:

  [in] | curve | The animCurve

Returns:
  - MS::kSuccess the animCurve was set successfully
  - MS::kFailure the animCurve was not set successfully

Examples:
  animFileUtils.cpp.

MStatus setAddressingInfo | ( | unsigned int | rowCount,
|  | unsigned int | childCount,
|  | unsigned int | attributeCount
| ) |  |

Search for all occurrences

Sets the clipboard item's addressing info.

Parameters:

  [in] | rowCount | The clipboard item's row count
  [in] | childCount | The clipboard item's child count
  [in] | attributeCount | The clipboard item's attribute count

Returns:
  - MS::kSuccess the addressing info was set successfully
  - MS::kFailure the addressing info was not set successfully

Examples:
  animFileUtils.cpp.

MStatus setNameInfo | ( | const MString & | nodeName,
|  | const MString & | fullName,
|  | const MString & | leafName
| ) |  |

Search for all occurrences

Sets the clipboard item's name info.

Parameters:

  [in] | nodeName | The clipboard item's node name
  [in] | fullName | The clipboard item's full attribute name
  [in] | leafName | The clipboard item's leaf attribute name

Returns:
  - MS::kSuccess the name info was set successfully
  - MS::kFailure the name info was not set successfully

Examples:
  animFileUtils.cpp.

MAnimCurveClipboardItem & operator= | ( | const MAnimCurveClipboardItem & | from | ) |

Operator= overloading.

Parameters:

  [in] | from | The MAnimCurveClipboardItem to be copied

Returns:
  The copied MAnimCurveClipboardItem

bool operator== | ( | const MAnimCurveClipboardItem & | rhs | ) | const

Compare the individual members for equality.

Parameters:

  [in] | rhs | The MAnimCurveClipboardItem to be compared against.

Returns:
  - true the MAnimCurveClipboard items are equal
  - false the MAnimCurveClipboard items are not equal

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem
MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem MAnimCurveClipboardItem